IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Outils Delphi Discussion :

InnoSetup version 6 incompatible avec Windows XP ?


Sujet :

Outils Delphi

  1. #1
    Membre habitué
    Profil pro
    Inscrit en
    juillet 2004
    Messages
    395
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juillet 2004
    Messages : 395
    Points : 193
    Points
    193
    Par défaut InnoSetup version 6 incompatible avec Windows XP ?
    Bonjour

    J'ai fait un installeur pour une application C++ Builder 6 avec InnoSetup 6.0.2 qui donne entière satisfaction sur Win 7, 8 ou 10
    La construction de l'installeur est faite sur un environnement Windows 10 64 bits sans spécifier ArchitecturesInstallIn64BitMode=x64

    Sur Windows XP (32 bits) l'installation de mon application entraine le message "XXXn'est pas une application Win32 Valide".

    Sur Windows XP l'installation de l'installeur InnoSetup 6.0.2 produit le même message

    Sur Windows XP l'installation de l'installeur InnoSetup 5.2.3 fonctionne alors j'ai reconstruit l'installeur en environnement Windows XP et là tout fonctionne.

    Est ce que la version 6 d'InnoSetup serait incompatible avec Windows XP ?

  2. #2
    Membre éclairé
    Homme Profil pro
    Technicien maintenance
    Inscrit en
    novembre 2012
    Messages
    297
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Vienne (Poitou Charente)

    Informations professionnelles :
    Activité : Technicien maintenance
    Secteur : Administration - Collectivité locale

    Informations forums :
    Inscription : novembre 2012
    Messages : 297
    Points : 732
    Points
    732
    Par défaut
    Bonjour,

    Effectivement d'après le site de InnoSetup (section Downloads), depuis la version 6, les systèmes Windows 2000, Windows XP et Windows Server 2003 ne sont plus pris en charge. Il faut au minimum Vista.

  3. #3
    Membre habitué
    Profil pro
    Inscrit en
    juillet 2004
    Messages
    395
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juillet 2004
    Messages : 395
    Points : 193
    Points
    193
    Par défaut
    Ok. Merci !

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Réponses: 4
    Dernier message: 27/02/2011, 19h25
  2. [AC-2003] Windows XP US incompatible avec runtime ?
    Par stigma dans le forum Runtime
    Réponses: 4
    Dernier message: 25/05/2009, 07h59
  3. Attention : Maj Windows KB951748 incompatible avec ZoneAlarm
    Par 12monkeys dans le forum Sécurité
    Réponses: 26
    Dernier message: 29/07/2008, 06h55
  4. Réponses: 9
    Dernier message: 22/05/2007, 11h12
  5. Réponses: 2
    Dernier message: 17/02/2006, 12h00

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo